AM263Px MCU+ SDK: PRUICSS_HwAttrs Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
PRUICSS_HwAttrs Struct Reference
APIs for SOC Specific Device Drivers » APIs for PRUICSS

## Detailed Description

PRUICSS Hardware Attributes.

PRUICSS driver specific hardware attributes structure. It contains PRUICSS base address of peripherals for each PRUICSS instance.

The application must not access any member variables of this structure.

## Data Fields
uint32_t | instance
uintptr_t | baseAddr
uintptr_t | pru0CtrlRegBase
uintptr_t | pru1CtrlRegBase
uintptr_t | intcRegBase
uintptr_t | cfgRegBase
uintptr_t | uartRegBase
uintptr_t | iep0RegBase
uintptr_t | ecapRegBase
uintptr_t | miiRtCfgRegBase
uintptr_t | miiGRtCfgRegBase
uintptr_t | miiMdioRegBase
uintptr_t | pru0DramBase
uintptr_t | pru1DramBase
uintptr_t | pru0IramBase
uintptr_t | pru1IramBase
uintptr_t | sharedDramBase
uint32_t | pru0DramSize
uint32_t | pru1DramSize
uint32_t | pru0IramSize
uint32_t | pru1IramSize
uint32_t | sharedDramSize

## Field Documentation

## ◆ instance

uint32_t PRUICSS_HwAttrs::instance

## ◆ baseAddr

uintptr_t PRUICSS_HwAttrs::baseAddr

## ◆ pru0CtrlRegBase

uintptr_t PRUICSS_HwAttrs::pru0CtrlRegBase

## ◆ pru1CtrlRegBase

uintptr_t PRUICSS_HwAttrs::pru1CtrlRegBase

## ◆ intcRegBase

uintptr_t PRUICSS_HwAttrs::intcRegBase

## ◆ cfgRegBase

uintptr_t PRUICSS_HwAttrs::cfgRegBase

## ◆ uartRegBase

uintptr_t PRUICSS_HwAttrs::uartRegBase

## ◆ iep0RegBase

uintptr_t PRUICSS_HwAttrs::iep0RegBase

## ◆ ecapRegBase

uintptr_t PRUICSS_HwAttrs::ecapRegBase

## ◆ miiRtCfgRegBase

uintptr_t PRUICSS_HwAttrs::miiRtCfgRegBase

## ◆ miiGRtCfgRegBase

uintptr_t PRUICSS_HwAttrs::miiGRtCfgRegBase

## ◆ miiMdioRegBase

uintptr_t PRUICSS_HwAttrs::miiMdioRegBase

## ◆ pru0DramBase

uintptr_t PRUICSS_HwAttrs::pru0DramBase

## ◆ pru1DramBase

uintptr_t PRUICSS_HwAttrs::pru1DramBase

## ◆ pru0IramBase

uintptr_t PRUICSS_HwAttrs::pru0IramBase

## ◆ pru1IramBase

uintptr_t PRUICSS_HwAttrs::pru1IramBase

## ◆ sharedDramBase

uintptr_t PRUICSS_HwAttrs::sharedDramBase

## ◆ pru0DramSize

uint32_t PRUICSS_HwAttrs::pru0DramSize

## ◆ pru1DramSize

uint32_t PRUICSS_HwAttrs::pru1DramSize

## ◆ pru0IramSize

uint32_t PRUICSS_HwAttrs::pru0IramSize

## ◆ pru1IramSize

uint32_t PRUICSS_HwAttrs::pru1IramSize

## ◆ sharedDramSize

uint32_t PRUICSS_HwAttrs::sharedDramSize